Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1317083 - No IPv6 support
Summary: No IPv6 support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nsca
Version: 29
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Xavier Bachelot
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-11 22:49 UTC by Stuart D Gathman
Modified: 2020-05-21 04:16 UTC (History)
2 users (show)

Fixed In Version: nsca-2.10.0-1.fc30 nsca-2.10.0-1.fc31 nsca-2.10.0-1.fc32 nsca-2.10.0-2.el8 nsca-2.10.0-2.el6 nsca-2.10.0-2.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 19:50:55 UTC
Type: Bug


Attachments (Terms of Use)
Patch to my_connect() to support IPv6 (2.19 KB, patch)
2016-03-11 22:49 UTC, Stuart D Gathman
no flags Details | Diff
SPEC file used to test (7.49 KB, text/plain)
2016-03-11 22:50 UTC, Stuart D Gathman
no flags Details
patch to fix compiler warnings and remove nagios-common dependency (7.62 KB, text/plain)
2018-07-28 18:18 UTC, Stuart D Gathman
no flags Details

Description Stuart D Gathman 2016-03-11 22:49:34 UTC
Created attachment 1135430 [details]
Patch to my_connect() to support IPv6

Description of problem:
nsca does not support IPv6

Version-Release number of selected component (if applicable):
nsca-client-2.9.1-12.fc23.x86_64

How reproducible:
always

Steps to Reproduce:
1. send_nsca -H some.ipv6.host.name -c /etc/nagios/send_nsca.cfg 
2.
3.

Actual results:
Invalid host name 'some.ipv6.host.name'
Error: Could not connect to host some.ipv6.host.name on port 5667


Expected results:
1 data packet(s) sent to host successfully.


Additional info:
Patch attached that fixes send_nsca at least.

Comment 1 Stuart D Gathman 2016-03-11 22:50:49 UTC
Created attachment 1135431 [details]
SPEC file used to test

Comment 2 Stuart D Gathman 2016-03-11 22:53:20 UTC
Patching the server end is not as critical, because you typically use xinetd or a systemd.socket to listen on IP6 and then pass the socket to nsca.

Comment 3 Xavier Bachelot 2016-05-05 09:21:53 UTC
Hi Stuart,

Could you please submit this to upstream ? I'm not comfortable carrying out of tree patches, at least without upstream giving their opinion.

Regards,
Xavier

Comment 4 Stuart D Gathman 2016-05-05 17:34:59 UTC
https://github.com/NagiosEnterprises/nsca/pull/6

Comment 5 Fedora End Of Life 2016-11-24 16:02:19 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2016-12-20 19:24:06 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Stuart D Gathman 2016-12-20 20:54:06 UTC
My Fedora packager id is sdgathman.  I can push this if you want to add me.

diff --git a/nsca.spec b/nsca.spec
index 1c6ba71..84c3777 100644
--- a/nsca.spec
+++ b/nsca.spec
@@ -7,7 +7,7 @@
 Summary:        Nagios Service Check Acceptor
 Name:           nsca
 Version:        2.9.1
-Release:        13%{?dist}
+Release:        13.1%{?dist}
 License:        GPLv2+
 Group:          Applications/System
 URL:            http://www.nagios.org/
@@ -21,6 +21,8 @@ Patch0:         nsca-2.9-initscript.patch
 Patch1:         nsca-2.9-confpath.patch
 # http://tracker.nagios.org/view.php?id=286
 Patch2:         nsca-2.9-fix_open_missing_arg.patch
+# https://github.com/NagiosEnterprises/nsca/pull/6
+Patch3:         nsca-2.9-ipv6.patch
 
 BuildRequires:  libmcrypt-devel
 %if %{systemd_support}
@@ -58,6 +60,7 @@ Client application for sending updates to a nsca server.
 %patch0 -p0 -b .initscript
 %patch1 -p1 -b .confpath
 %patch2 -p1 -b .open
+%patch3 -p1 -b .ipv6
 # Change defaults in the config file to match the nagios package
 sed -i -e "s|^command_file=.*|command_file=%{_localstatedir}/spool/nagios/cmd/nagios.cmd|" \
        -e "s|^alternate_dump_file=.*|alternate_dump_file=%{_localstatedir}/spool/nagios/cmd/nsca.dump|" \
@@ -141,6 +144,9 @@ rm -rf %{buildroot}
 
 
 %changelog
+* Tue Dec 20 2016 Stuart D. Gathman <stuart> - 2.9.1-13.1
+- IPv6 support for nsca-client
+
 * Thu Feb 04 2016 Fedora Release Engineering <releng> - 2.9.1-13
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

Comment 8 Stuart D Gathman 2017-07-09 03:51:26 UTC
Please note that upstream has accepted this patch.

https://github.com/NagiosEnterprises/nsca/pull/24

Comment 9 Fedora End Of Life 2017-11-16 18:39:53 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 10 Fedora End Of Life 2018-02-20 15:24:34 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 11 Xavier Bachelot 2018-07-26 13:27:01 UTC
Hi Stuart,

I hate to see this bug taking dust on the shelf for so long...
I would have expected an nsca release a long time ago, but as it did not appear yet, I've filed an issue upstream to request a release.
https://github.com/NagiosEnterprises/nsca/issues/32

Meanwhile, I've prepared a package that patches both client and server IPv6 support, as well as 2.7 compat and a possible security fix, all taken from upstream. Again, I'd be more confident if we had a release, but well...

Here's a F29 scratch build :
https://koji.fedoraproject.org/koji/taskinfo?taskID=28620206

Would you be willing to do some smoke tests, as I have no easy way to setup IPv6 here ? I can indeed build for other Fedora releases or EPEL, if needed.

Regards,
Xavier

Comment 12 Stuart D Gathman 2018-07-26 17:47:47 UTC
I'll checkout master and test.

Comment 13 Stuart D Gathman 2018-07-28 18:18:02 UTC
Created attachment 1471265 [details]
patch to fix compiler warnings and remove nagios-common dependency

This patch against 5b841a8 has been tested on el6 running nsca-client and el7 running nsca (server).  Will test client on f28, but I don't expect any problems.

Comment 14 Stuart D Gathman 2018-07-28 18:21:01 UTC
Note that Fedora packaging standards allow more than one package to own a directory if the permissions match, so pulling in nagios-common to nsca-client is not required.

Comment 15 Xavier Bachelot 2018-07-31 08:27:52 UTC
Thanks Stuart, much appreciated.

About the warnings patch, I can proxy it upstream, but maybe you want to submit it yourself to get credit for it.

About the nagios-common dependency, it is fairly lightweight as it only ships a couple directories, including /etc/nagios that nsca uses, and no files. I'd rather not keep track of possible packaging change on nagios side and keep the dep, unless I'm missing something. Was there something you specifically wanted to address by removing it ?

Comment 16 Xavier Bachelot 2018-08-02 15:30:08 UTC
(In reply to Xavier Bachelot from comment #15)
> About the warnings patch, I can proxy it upstream, but maybe you want to
> submit it yourself to get credit for it.
> 
PR submitted, feel free to claim it, indeed.
https://github.com/NagiosEnterprises/nsca/pull/34

Comment 17 Jan Kurik 2018-08-14 11:12:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 18 Stuart D Gathman 2018-09-12 19:44:07 UTC
In case it wasn't clear, I tested master as described without the warnings patch as well.

Comment 19 Stuart D Gathman 2018-11-09 22:41:16 UTC
The smoke test passed - just sayin'.  I missed some PRs for one of my packages back in August too, so I know what it's like to be busy...

Comment 20 Ben Cotton 2019-10-31 20:32:15 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 21 Ben Cotton 2019-11-27 19:50:55 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 22 Xavier Bachelot 2019-11-29 17:08:39 UTC
For reference, the upstream issue about the release, which hopefully will happen some day:
https://github.com/NagiosEnterprises/nsca/issues/32

Comment 23 Fedora Update System 2020-04-21 14:21:43 UTC
FEDORA-EPEL-2020-e3609173c2 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-e3609173c2

Comment 24 Fedora Update System 2020-04-21 14:21:43 UTC
FEDORA-2020-a99f520722 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-a99f520722

Comment 25 Fedora Update System 2020-04-21 14:21:45 UTC
FEDORA-2020-d5be3be566 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-d5be3be566

Comment 26 Fedora Update System 2020-04-21 14:21:46 UTC
FEDORA-EPEL-2020-fc4463c176 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-fc4463c176

Comment 27 Fedora Update System 2020-04-21 14:21:46 UTC
FEDORA-2020-48da63e4c6 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-48da63e4c6

Comment 28 Fedora Update System 2020-04-21 14:21:48 UTC
FEDORA-EPEL-2020-9b916f9c93 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-9b916f9c93

Comment 29 Xavier Bachelot 2020-04-21 14:36:29 UTC
Better late than never, I guess...
Also, I've filed an upstream issue so you get credited for the IPv6 support.
https://github.com/NagiosEnterprises/nsca/issues/42

Comment 30 Fedora Update System 2020-04-21 18:43:40 UTC
FEDORA-2020-48da63e4c6 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-48da63e4c6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-48da63e4c6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 31 Fedora Update System 2020-04-22 19:27:04 UTC
FEDORA-EPEL-2020-9b916f9c93 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-9b916f9c93

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 32 Fedora Update System 2020-04-22 19:46:30 UTC
FEDORA-EPEL-2020-e3609173c2 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-e3609173c2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 33 Fedora Update System 2020-04-22 20:14:02 UTC
FEDORA-2020-a99f520722 has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-a99f520722`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-a99f520722

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 34 Fedora Update System 2020-04-22 20:28:42 UTC
FEDORA-2020-d5be3be566 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-d5be3be566`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d5be3be566

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 35 Fedora Update System 2020-04-22 22:37:09 UTC
FEDORA-EPEL-2020-fc4463c176 has been pushed to the Fedora EPEL 6 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-fc4463c176

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 36 Fedora Update System 2020-04-30 02:50:49 UTC
FEDORA-2020-a99f520722 has been pushed to the Fedora 30 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 37 Fedora Update System 2020-04-30 03:42:39 UTC
FEDORA-2020-d5be3be566 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 38 Fedora Update System 2020-05-01 00:36:10 UTC
FEDORA-2020-48da63e4c6 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 39 Fedora Update System 2020-05-06 05:11:10 UTC
FEDORA-EPEL-2020-fc472cc3f4 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-fc472cc3f4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 40 Fedora Update System 2020-05-06 06:14:43 UTC
FEDORA-EPEL-2020-55ca7ea1da has been pushed to the Fedora EPEL 6 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-55ca7ea1da

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 41 Fedora Update System 2020-05-06 06:15:58 UTC
FEDORA-EPEL-2020-a359910824 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-a359910824

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 42 Fedora Update System 2020-05-21 03:40:55 UTC
FEDORA-EPEL-2020-fc472cc3f4 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 43 Fedora Update System 2020-05-21 04:14:40 UTC
FEDORA-EPEL-2020-55ca7ea1da has been pushed to the Fedora EPEL 6 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 44 Fedora Update System 2020-05-21 04:16:11 UTC
FEDORA-EPEL-2020-a359910824 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.